Skip to main content
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
curl -X POST "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/leads" \
  -H "X-API-Key: otr_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "leadIds": ["cld_xyz789", "cld_def456", "cld_ghi012"]
  }'
{
  "data": {
    "added": 2,
    "skipped": 1
  }
}

Path Parameters

campaign_id
string
required
The unique identifier of the campaign.

Body Parameters

leadIds
array
required
Array of lead IDs to add to the campaign.

Response

data
object
curl -X POST "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/leads" \
  -H "X-API-Key: otr_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "leadIds": ["cld_xyz789", "cld_def456", "cld_ghi012"]
  }'
{
  "data": {
    "added": 2,
    "skipped": 1
  }
}

Errors

StatusDescription
404Campaign not found